From 8a4dff14ad7560aae83e9155d0c62ba7f8c101fd Mon Sep 17 00:00:00 2001
From: Eric Wong <normalperson@yhbt.net>
Date: Sun, 1 Jun 2008 22:24:55 +0000
Subject: Add the bs build system from mpd-ke

Dealing with autotools is too painful when having
to deal with multiple build environments and
configurations.

git-svn-id: https://svn.musicpd.org/mpd/trunk@7368 09075e82-0dd4-0310-85a5-a0d7c8717e4f
---
 bs/mkdir_p.sh | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100755 bs/mkdir_p.sh

(limited to 'bs/mkdir_p.sh')

diff --git a/bs/mkdir_p.sh b/bs/mkdir_p.sh
new file mode 100755
index 000000000..cb9e94ca7
--- /dev/null
+++ b/bs/mkdir_p.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# based on mkinstalldirs:
+#	Original author: Noah Friedman <friedman@prep.ai.mit.edu>
+#	Created: 1993-05-16
+#	Public domain.
+errstatus=0
+for file
+do
+	test -d "$file" && continue
+	case $file in
+	/*) pathcomp=/ ;;
+	*)  pathcomp= ;;
+	esac
+	oIFS=$IFS
+	IFS=/
+	set fnord $file
+	shift
+	IFS=$oIFS
+	for d
+	do
+		test "x$d" = x && continue
+		pathcomp=$pathcomp$d
+		case $pathcomp in
+		-*) pathcomp=./$pathcomp ;;
+		esac
+
+		if test ! -d "$pathcomp"; then
+			mkdir "$pathcomp" || lasterr=$?
+			if test ! -d "$pathcomp"; then
+				errstatus=$lasterr
+			fi
+		fi
+		pathcomp=$pathcomp/
+	done
+done
+
+exit $errstatus
-- 
cgit v1.2.3